/*
		PIC32-PINGUINO
		Blinks both LEDs (Green and Yellow)
   
    If you have any questions, email
    support@olimex.com
    
    OLIMEX, JULY 2012
    http://www.olimex.com
*/

#if ( defined(PIC32_PINGUINO_OTG) || defined(PIC32_PINGUINO) || defined(PIC32_PINGUINO_MICRO) )

	//Definitions for 
	// -- PIC32-PINGUINO
	// -- PIC32-PINGUINO-OTG
	// -- PIC32-PINGUINO-MICRO
		
	#define BUTTON1INIT TRISDbits.TRISD0 = 1
	
	//YELLOW LED is D1
	#define YLEDINIT   TRISDCLR = 0x02;
	#define YLED1      PORTDSET = 0x02;
	#define YLED0      PORTDCLR = 0x02;
	#define YLEDSWITCH PORTD   ^= 0x02;
	
	//GREEN LED is G6
	#define GLEDINIT  	 TRISGCLR = 0x40;
	#define GLED1 		    PORTGSET = 0x40;
	#define GLED0 		    PORTGCLR = 0x40;
	#define GLEDSWITCH   PORTG   ^= 0x40;
	
	#define YELLOW 0
	#define GREEN  1
	#define BOTH   2
#endif

//Blinks an LED five times - mode is YELLOW, GREEN or BOTH
void blinkled(unsigned char mode);
	


void setup() {
    // put your setup code here, to run once:
    YLEDINIT;
    GLEDINIT;
    }

void loop() {
    // put your main code here, to run repeatedly:
    blinkled(GREEN);
    blinkled(YELLOW);
    blinkled(BOTH);
    
    
}

void blinkled(unsigned char mode)
{		
	//Turn off all LEDs
	YLED0;
	GLED0;
	
	char i;
	
	// Blink
	switch(mode)
	{
		case YELLOW:
			for(i=0; i<10;i++)
			{
				YLEDSWITCH;
				delay(100);
			}
			break;
		
		case GREEN:
			for(i=0; i<10;i++)
			{
				GLEDSWITCH;
				delay(100);
			}
			break;
		
		case BOTH:
			for(i=0; i<10;i++)
			{
				YLEDSWITCH;
				GLEDSWITCH;
				delay(100);
			}
			break;
	}				
}

